import PropTypes from 'prop-types';
import React from 'react';
import TagChip from '@schibstedspain/sui-tag-chip';

var defaultLinkFactory = function defaultLinkFactory(_ref) {
  var href = _ref.href,
      className = _ref.className,
      children = _ref.children;
  return (// eslint-disable-line
    React.createElement("a", {
      href: href,
      className: className
    }, children)
  );
};

var ListTagcloud = function ListTagcloud(_ref2) {
  var tags = _ref2.tags,
      _ref2$linkFactory = _ref2.linkFactory,
      linkFactory = _ref2$linkFactory === void 0 ? defaultLinkFactory : _ref2$linkFactory;
  return React.createElement("div", {
    className: "sui-ListTagcloud"
  }, tags.map(function (tagProps, index) {
    return React.createElement(TagChip, Object.assign({
      key: index,
      linkFactory: linkFactory
    }, tagProps));
  }));
};

ListTagcloud.displayName = 'ListTagcloud';
export default ListTagcloud;